libxmlada (17.1.2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Rename libxmlada-input4.5.2015 -> 4.6, forgotten in last upload.
  * Build-Depends: handle texlive generic package renaming.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 18:08:06 +0200

libxmlada (17.1.2017-3) experimental; urgency=medium

  * Rename libxmlada-dom4.5.2015 -> 4.6, reflecting the API and compiler
    changes since last upload to unstable.
  * Disable sphinxdoc parallelism to prevent a FTBFS caused by #869098.
  * Drop Break/Replace: libxmlada-*6-dev, now implicit through gnat-7.
  * Drop Break/Replace: libxmlada-dev, not in oldstable anymore.
  * Debhelper 10. Drop explicit rules targets confusing dh.
  * Handle DEB_BUILD_OPTIONS=nodoc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Jul 2017 21:52:03 +0200

libxmlada (17.1.2017-2) experimental; urgency=medium

  * Build-Depend: unicode-data >= 9 instead of = 9.
  * Merge changes from gprbuild in shared portion of d/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 02 Jul 2017 20:19:42 +0200

libxmlada (17.1.2017-1) experimental; urgency=medium

  * New upstream release. Build with gnat-7. No ALI/SO bump in experimental.
  * Standards-Version: 4.0.0. Suggest: -doc instead of Recommend.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Move projects to /usr/share/gpr, in gprbuild's upstream lookup path.
  * Output of pdflatex and gnat are now reproducible without help.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Jun 2017 09:33:11 +0200

libxmlada (4.6.2016-1) experimental; urgency=medium

  * New upstream release.
    ALI version of unicode increases, forcing all ALI versions to do so.
    Rename -dev and Break/Replace: previous versions per Ada policy.
    Only sax and schema SO binary interfaces may have changed.
    Since "input_sources" needs to be renamed, use upstream name "input".
  * Upstream drops xmlada-config, remove the related packaging stuff.
  * Apply generate-unicode-names.diff from upstream VCS.
    Exclude generated sources from repackaged orig tarball.
    Update it for unicode version 9 as packaged in Debian.
  * Allow a SO version per library and non existing lib/obj directories.
  * Ensure deterministic timestamps in patched or generated ALI files.
  * README.source: upstream VCS is now on GitHub.
  * Switch watch file to version 4.
  * Reorder build flags to simplify maintenance of PIE flags.
  * Generate internal dependencies instead of copying them manually.
  * tests/link-with-shared depends gprbuild for project support.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Aug 2016 00:56:55 +0200

libxmlada (4.5.2015-8) unstable; urgency=medium

  * Build-Depend iftex.sty from texlive-generic-extra. Closes: #830395.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 13:54:06 +0200

libxmlada (4.5.2015-7) unstable; urgency=medium

  [Martin Pitt]
  * Declare that tests/no-project depends on dpkg-dev, GCC. Closes: 823998.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 May 2016 16:03:39 +0200

libxmlada (4.5.2015-6) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Versions: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Apr 2016 23:36:04 +0200

libxmlada (4.5.2015-5) experimental; urgency=medium

  * Add more libraries versions (checked with apt-cudf in pbuilder).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 18 Apr 2016 21:24:01 +0200

libxmlada (4.5.2015-4) experimental; urgency=medium

  * Select experimental versions >= 6~ of GCC libraries, so that the
    dependency resolver on build daemons manages to install gnat-6.
  * Select gnatgcc in case it differs from gcc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Apr 2016 10:27:52 +0200

libxmlada (4.5.2015-3) experimental; urgency=medium

  * Rebuild with gnat-6.
  * Implement our own dh-ada-library to break circular build-dependency.
  * Enable all hardening flags, except PIE for the relocatable library.
  * Replace explicit -dbg packages with automatic -dbgsym packages.
  * Update to Standards-Versions 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Mar 2016 00:19:13 +0100

libxmlada (4.5.2015-2) experimental; urgency=medium

  * Arch-only builds should not require sphinx-common.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Oct 2015 19:23:06 +0100

libxmlada (4.5.2015-1) experimental; urgency=medium

  * New upstream release GPL 2015 (between 4.5 and 4.6), built with gnat-5.
    Split libraries, change library and -dev packages versions per Ada policy.
    Avoid projects during build: gnatmake is dropping them, and
    gprbuild would cause a circular build dependency.
    Use Files-Excluded to spare half the size, avoid minified javascript,
    drop Build-Dependency on autotools-dev and autoconf.
  * Freeze the clock for deterministic PDF timestamps.
  * Use dh-sphinxdoc.
  * Patch SO version from debian/rules instead of a static patch.
  * control/Testsuite: obsolete.
  * watch: use Debian redirector to detect next GPL release.
    README.source, find_branchpoint.sh: describe what to do then.
  * Test project, command line and xmlada-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Sep 2015 14:51:55 +0200

libxmlada (4.4.2014-1) unstable; urgency=medium

  * New upstream release GPL 2014 (between 4.4 and 4.5).
    SO version does not change, but ALI version does. Per Ada policy,
    dev package is renamed and Breaks/Replaces with previous ones

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Aug 2014 20:27:26 +0200

libxmlada (4.4.0puregpl-1) unstable; urgency=medium

  * The actual license does not grant the GCC Runtime Library Exception.
    Switched back to a branch for the orig archive, see debian/README.source.
    Obsoletes: license patch, override removing cvs-ignore.
  * patches/compile_with_4.6.diff: not needed anymore with gnat-4.9.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 02 May 2014 17:52:44 +0200

libxmlada (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * License clarified: GPL-3+ with GCC Runtime Library Exception.
  * Docs now formatted by sphinx. Symlink embedded javascript when possible.
  * xmlada-config relies on upstream configure again.
  * rules: run-tests target obsoleted by sadt from devscripts.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 01 May 2014 13:24:20 +0200

libxmlada (4.1-4) unstable; urgency=low

  * Conflics -> Breaks for previous versions per Ada policy.
    Specify versions for Breaks and Replaces (old package split).
  * rules: switch to dh_ada_library.
  * tests: updated to latest autopkg specification (cosmetic).
  * Removed work-around for GCC bug on ia64 (unreproducible with 4.6).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 29 Aug 2013 04:21:02 +0200

libxmlada (4.1-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 9 dh driver.
  * Standards-Version 3.9.4. No more DM-Upload-Allowed, copyright file format.
  * Rely on snippets provided by recent dpkg-dev and dh-ada-library to
    deal with architecture, hardening, noopt and parallel options.
  * Install examples. Use one as run-time test of dynamic linking.
  * Added libxmlada-doc.doc-base.xmlada, watch (informative only).
  * debian/patches/texinfo5.diff:  Closes: #713299.
  * xmlada-config,.gpr: generated, replace usr/lib with multiarch path.
  * Do not compress examples, install TODO in the -doc package.
  * Added myself to uploaders.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 16 Aug 2013 02:12:43 +0200

libxmlada (4.1-2) unstable; urgency=low

  * debian/patches/xmlada-config.patch: bump version number.
    Closes: #661593.
  * debian/control: remove references to ada-compiler.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 28 Feb 2012 19:59:42 +0100

libxmlada (4.1-1) unstable; urgency=low

  [Xavier Grave]
  * New upstream version 4.1
  * add get-orig-source in debian/rules
  * Package renamings pursuant to Debian Policy for Ada:
    libxmlada3.2     -> libxmlada4.1
    libxmlada3.2-dev -> libxmlada4.1-dev
    libxmlada3.2-dbg -> libxmlada4.1-dbg
  
  [Ludovic Brenta]
  * debian/control (Architecture): any.
    (Uploaders): add Xavier.
    (DM-Upload-Allowed): yes.
    (Standards-Version): move to 3.9.2 with no changes required.
    (Multi-Arch): same.
    (Build-Depends): debhelper (>= 8.1.3).
  * debian/rules: install the shared and static libs in the multiarch
    directory.
  * debian/compat: bump to 8.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  6 Sep 2011 11:30:15 +0200

libxmlada (3.2-5) unstable; urgency=low

  * debian/control (*-dev): depend on gnat, ada-compiler.
    (*-doc, *-dbg): suggest gnat, gnat-4.4, ada-compiler.
    (Standards-Version): bump to 3.8.4 with no changes required.
    (VCS-Browser, VCS-Mtn): new.
    (Architecture): add armel  Closes: #568447.
  * debian/rules: extract the aliversion and soversion from
    debian/changelog.
  * Add support for building architecture-dependent and
    architecture-independent packages separately (i.e. dpkg-buildpackage
    -A, -B).
    debian/rules (binary): split into binary-arch and binary-indep.
    debian/control (Build-Depend-Indep): new, move some dependencies
    from Build-Depend.

  [Nicolas Boulenguez]
  * debian/rules (libxmlada$(ALIVERSION)-dev): Removed obsolete and empty
    doc directory.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 16 Jun 2010 20:51:18 +0200

libxmlada (3.2-4) unstable; urgency=medium

  * debian/build_xmlada.gpr: work around a ia64-only compiler bug.
    Allows the package to build on ia64.
  * debian/rules (binary-indep): do not compress PDF files, they are
    already compressed internally.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Dec 2009 15:37:21 +0100

libxmlada (3.2-3) unstable; urgency=low

  [Xavier Grave]
  * debian/rules (libxmlada$(ALIVERSION)-dev): s/SONAME/SOVERSION/;
    fixes a bug.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  1 Dec 2009 22:04:15 +0100

libxmlada (3.2-2) unstable; urgency=low

  * debian/control (libxmlada-doc): conflict with old versions of
    the -dev package, they used to contain the documentation.
    Closes: #557497.
  * debian/rules (libxmlada-doc): also install the changelog.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 24 Nov 2009 00:37:12 +0100

libxmlada (3.2-1) unstable; urgency=low

  * New upstream version taken from Subversion revision 150712.
  * debian/control (Build-Depends, Depends): transition to gnat-4.4.
    (Architectures): remove alpha due to http://gcc.gnu.org/PR42073.
    (libxmlada-doc): new package, Architecture: all.
    Package renamings:
    - libxmlada-dev to libxmlada3.2-dev
      with Conflicts: and Replaces:, per Debian Policy for Ada
      [http://people.debian.org/~lbrenta/debian-ada-policy.html].
    - libxmlada3{,-dbg} to libxmlada3.2{,-dbg}
  * build_xmlada.gpr, xmlada-config.gpr: move to debian/.
  * debian/README.Debian: remove, outdated.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 19 Nov 2009 23:06:09 +0100

libxmlada (3.0-6) unstable; urgency=low

  * debian/control (Architecture): add kfreebsd-amd64.  Closes: #542416.
    (Standards-Version): bump to 3.8.3.
    (Depends): s/source:Version/binary:Version/g.
  * debian/rules, debian/control (libxmlada3-dbg): introduce a new
    package containing the detached debugging symbols.
  * build_xmlada.gpr: always build with -g.
  * patches: move to debian/patches.  Make the patches compliant with
    "quilt refresh -p ab".  Closes: #485098.
  * debian/rules: become compliant with source format 3.0 (quilt).
    (clean): s/dh_clean -k/dh_prep/.
    (libxmlada.so.3): gatmake knows about -fPIC when Library_Kind is
    "dynamic", so do not pass it explicitly.
  * debian/compat: bump to 7.
  * debian/xmlada.gpr: turn into a proper library project file.
    Closes: #522031.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Sep 2009 12:54:47 +0200

libxmlada (3.0-5) unstable; urgency=low

  * Tighten build-dependency on gnat-4.3 due to bug fixes in libgnat that
    affect the .ali files.
  * Add Support for ppc64 in debian/control.
  * xmlada-config.1: correct a syntax error detected by lintian; simplify.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  1 Jun 2008 15:41:26 +0200

libxmlada (3.0-4) unstable; urgency=low

  [Andreas Metzler]
  * Add texlive-latex-base to build-depends. Closes: #479926

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 13 May 2008 22:09:06 +0200

libxmlada (3.0-3) unstable; urgency=low

  * debian/source.lintian-overrides: new.
  * debian/compat: new.
  * debian/control: use ${source:Version} instead of ${Source-Version}.
    Update Standards-Version to 2.7.3 with no changes.  Add a section
    in the source section.
  * patches/GPL.patch: everything downloaded from libre.adacore.com
    is GPL, no matter what the files themselves say; so, change the
    license of the documentation to the GPL.

  [Xavier Grave]
  * debian/xmlada-config.1: new.
  * debian/xmlada.gpr: revert to a regular project file; library project
    files cause strange problems in very complex scenarios.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu,  1 May 2008 15:30:31 +0200

libxmlada (3.0-2) unstable; urgency=low

  * debian/rules (clean): really remove all generated files.
  * Revert to the upstream version of texinfo.tex.
  * debian/control (libxmlada-dev): fix the dependency on libxmlada3.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 20 Apr 2008 23:44:39 +0200

libxmlada (3.0-1) unstable; urgency=low

  [Ludovic Brenta]
  * New upstream release taken from the Subversion repository (rev 120472).
  * Rename the source package to libxmlada since I don't maintain multiple
    versions in parallel.
  * Change the soname to libxmlada.so.3.
  * Migrate to GCC 4.3.  Use a library project file to build the libraries.
  * Add support for mips and mipsel.
  * Rename xmlada2.gpr to xmlada.gpr and turn it into a library project
    file.
  * Migrate to texlive-generic-recommended and texlive-fonts-recommended.
  * Update the patches.

  [Xavier Grave]
  * Provide /usr/bin/xmlada-config.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 19 Apr 2008 16:24:46 +0200

libxmlada2 (2.2-7) unstable; urgency=low

  * debian/control (Architecture): add alpha and s390.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 11 Oct 2006 21:38:38 +0200

libxmlada2 (2.2-6) unstable; urgency=low

  * Reupload with the pristing source package. D'oh.  I need vacation.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 26 Jul 2006 19:18:34 +0200

libxmlada2 (2.2-5) unstable; urgency=low

  * debian/control (libxmlada2): remove mips, mipsel and s390, because
    libgnat is disabled on these architechures.  Closes: #378372.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 25 Jul 2006 19:20:59 +0200

libxmlada2 (2.2-4) unstable; urgency=low

  * debian/control: remove mips mipsel s390, because libgnat is disabled on
    these architechures.  Closes: #378372.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 21 Jul 2006 21:06:54 +0200

libxmlada2 (2.2-3) unstable; urgency=low

  * debian/control: build-depend on tetex-extra.  Closes: #378432.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 18 Jul 2006 07:18:01 +0200

libxmlada2 (2.2-2) unstable; urgency=low

  * debian/control: build-depend on tetex-bin.  Closes: #378432.  Thanks,
    Julien Danjou.  Fix the dependency of libxmlada2-dev.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 16 Jul 2006 15:33:32 +0200

libxmlada2 (2.2-1) unstable; urgency=low

  * debian/control:
    - add support for amd64 hppa ia64 mips mipsel s390
    - change libxmlada1{-dev,} to libxmlada2{-dev,}.
    - change my email address: now a full Debian Developer!
    - build-depend on gnat (>= 4.1) and quilt.
    - update Standards-Version to 3.7.2 with no changes.
  * debian/rules:
    - change libxmlada.a to libxmlada2.a,
             xmlada.gpr  to xmlada2.gpr,
             xmlada.info to xmlada2.info
    - change the soname of libxmlada.so.1 to libxmlada.so.2.
    - bypass upstream's configure and make passes.  Just use one
      makefile (debian/rules itself) and one project file.
    - do not install xmlada-config anymore.
  * debian/build_xmlada.gpr: new.
  * debian/xmlada-config.1: remove.
  * debian/copyright: switch to pure GPL, as per upstream.  Explain.
  * libxmlada2-dev can coexist with libxmlada1-dev.
  * patches/series: new, use quilt.
  * patches/info-dir-section.patch, patches/GPL.patch: new.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 14 Jul 2006 18:06:30 +0200

libxmlada1 (1.0-3) unstable; urgency=low

  * debian/control: Add support for GNU/kFreeBSD, per request from Aurélien
    Jarno.  Build-depend on gnat (>= 3.15p-19).  Closes: #345065.
  * debian/control: Bump standards-version to 3.6.2 with no changes.
  * debian/control: Update maintainer's email address.
  * debian/libxmlada1-dev.postinst: remove, not necessary anymore.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Wed,  8 Feb 2006 18:22:48 +0100

libxmlada1 (1.0-2) unstable; urgency=low

  * Added a postinst script to make the .ali files read-only.
    Closes: #230260.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Thu, 29 Jan 2004 16:29:01 +0100

libxmlada1 (1.0-1) unstable; urgency=low

  * Initial Release.  Closes: #224763.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Sat, 20 Dec 2003 20:07:23 +0100

Local variables:
left-margin: 2
End:
